Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.motifDiscovery
Enum MutableMotifDiscovererToolbox.InitMethodForScoringFunction

    java.lang.Object
      java.lang.Enum<MutableMotifDiscovererToolbox.InitMethodForScoringFunction>
          de.jstacs.motifDiscovery.MutableMotifDiscovererToolbox.InitMethodForScoringFunction

All Implemented Interfaces:
  Serializable, Comparable<MutableMotifDiscovererToolbox.InitMethodForScoringFunction>

Enclosing class:
  MutableMotifDiscovererToolbox

    public static enum MutableMotifDiscovererToolbox.InitMethodForScoringFunction

extends Enum<MutableMotifDiscovererToolbox.InitMethodForScoringFunction>

This enum defines some constants for the method `MutableMotifDiscovererToolbox.getSortedInitialParameters(Sample[], ScoringFunction[], InitMethodForScoringFunction[], OptimizableFunction, int, SafeOutputStream)`. These constants define how to initialize the `ScoringFunction`s.

Author:
  Jens Keilwagen

Enum Constant Summary
`NOTHING` This constants indicates that the `ScoringFunction` should not be initialized, i.e. the instance is not changed and uses the current parameters.
`PLUG_IN` This constants indicates that the `ScoringFunction` should be initialized using `ScoringFunction.initializeFunction(int, boolean, Sample[], double[][])`.
`RANDOMLY` This constants indicates that the `ScoringFunction` should be initialized using `ScoringFunction.initializeFunctionRandomly(boolean)`.

Method Summary
`static MutableMotifDiscovererToolbox.InitMethodForScoringFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MutableMotifDiscovererToolbox.InitMethodForScoringFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLUG_IN

    public static final MutableMotifDiscovererToolbox.InitMethodForScoringFunction PLUG_IN

  This constants indicates that the `ScoringFunction` should be initialized using `ScoringFunction.initializeFunction(int, boolean, Sample[], double[][])`.

### RANDOMLY

    public static final MutableMotifDiscovererToolbox.InitMethodForScoringFunction RANDOMLY

  This constants indicates that the `ScoringFunction` should be initialized using `ScoringFunction.initializeFunctionRandomly(boolean)`.

### NOTHING

    public static final MutableMotifDiscovererToolbox.InitMethodForScoringFunction NOTHING

  This constants indicates that the `ScoringFunction` should not be initialized, i.e. the instance is not changed and uses the current parameters.

Method Detail

### values

    public static final MutableMotifDiscovererToolbox.InitMethodForScoringFunction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MutableMotifDiscovererToolbox.InitMethodForScoringFunction c : MutableMotifDiscovererToolbox.InitMethodForScoringFunction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MutableMotifDiscovererToolbox.InitMethodForScoringFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD